com.sun.syndication.io

## Class FeedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.sun.syndication.io.FeedException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ParsingFeedException

    public class FeedException
    extends java.lang.Exception

Exception thrown by WireFeedInput, WireFeedOutput, WireFeedParser and WireFeedGenerator instances if they can not parse or generate a feed.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FeedException(java.lang.String msg)` Creates a FeedException with a message.
`FeedException(java.lang.String msg, java.lang.Throwable rootCause)` Creates a FeedException with a message and a root cause exception.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FeedException

    public FeedException(java.lang.String msg)

Creates a FeedException with a message.

Parameters:
  `msg` - exception message.

#### FeedException

    public FeedException(java.lang.String msg,
                         java.lang.Throwable rootCause)

Creates a FeedException with a message and a root cause exception.

Parameters:
  `msg` - exception message.
  `rootCause` - root cause exception.